import * as z from 'zod';
export const AppointmentProcedureAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    appointmentId: z.number(),
    patientId: z.number(),
    npiProviderId: z.number(),
    procedureCode: z.number(),
    procedureLabel: z.number(),
    fee: z.number(),
    category: z.number(),
    toothNumber: z.number(),
    toothSurface: z.number(),
    oralCavityArea: z.number(),
    source: z.number(),
    comboKey: z.number(),
    createdAt: z.number(),
    appointment: z.number(),
    patient: z.number(),
    npiProvider: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    appointmentId: z.number().nullable(),
    patientId: z.number().nullable(),
    npiProviderId: z.number().nullable(),
    fee: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    appointmentId: z.number().nullable(),
    patientId: z.number().nullable(),
    npiProviderId: z.number().nullable(),
    fee: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    appointmentId: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    npiProviderId: z.number().int().nullable(),
    procedureCode: z.string().nullable(),
    procedureLabel: z.string().nullable(),
    fee: z.number().nullable(),
    category: z.string().nullable(),
    toothNumber: z.string().nullable(),
    toothSurface: z.string().nullable(),
    oralCavityArea: z.string().nullable(),
    comboKey: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    appointmentId: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    npiProviderId: z.number().int().nullable(),
    procedureCode: z.string().nullable(),
    procedureLabel: z.string().nullable(),
    fee: z.number().nullable(),
    category: z.string().nullable(),
    toothNumber: z.string().nullable(),
    toothSurface: z.string().nullable(),
    oralCavityArea: z.string().nullable(),
    comboKey: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});